### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
IntegralCDOEngine Class Reference

CDO base engine taking (possibly) small time steps. More...

`#include <ql/experimental/credit/syntheticcdoengines.hpp>`

Inheritance diagram for IntegralCDOEngine:
[legend]

List of all members.

## Public Member Functions

void | calculate () const
| IntegralCDOEngine (Period stepSize=3 *Months)

## Protected Attributes

Period | stepSize_

## Detailed Description

CDO base engine taking (possibly) small time steps.